import { GetAllCompaniesAction } from './../../../../ngrx/companies/companies.actions';
import { CompanyState } from './../../../../ngrx/companies/company.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-company-nav-bar',
  templateUrl: './company-nav-bar.component.html',
  styleUrls: ['./company-nav-bar.component.css']
})
export class CompanyNavBarComponent{

  constructor(private store: Store<{companyReducerKey: CompanyState}>){}

  companyState!: CompanyState

  onCompanyCreate(){}

  onCompaniesGetAll(){
    this.store.dispatch(new GetAllCompaniesAction({}));
    this.store.subscribe((state)=>{
      this.companyState = state.companyReducerKey;
    })
  }

  onProjectsOfCampany(){}

}
